gio-0.13.11.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net Stability : alpha Portability : portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.GIO.File.IOError

Contents

- Details
- Enums
- Methods

Description

Synopsis

- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
  - | IoErrorConnectionClosed
  - | IoErrorNotConnected
  - | IoErrorMessageTooLarge
  - | IoErrorNoSuchDevice
  - | IoErrorDestinationUnset
- ioErrorFromErrno :: Int -> IO IOErrorEnum

# Details

Contains helper functions for reporting errors to the user.

# Enums

data IOErrorEnum Source #

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |
IoErrorConnectionClosed |
IoErrorNotConnected |
IoErrorMessageTooLarge |
IoErrorNoSuchDevice |
IoErrorDestinationUnset |

#### Instances

Instances details

Bounded IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: IOErrorEnum Source # maxBound :: IOErrorEnum Source #
Enum IOErrorEnum Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: IOErrorEnum -> IOErrorEnum Source #

pred :: IOErrorEnum -> IOErrorEnum Source #

toEnum :: Int -> IOErrorEnum Source #

fromEnum :: IOErrorEnum -> Int Source #

enumFrom :: IOErrorEnum -> [IOErrorEnum] Source #

enumFromThen :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

enumFromTo :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

enumFromThenTo :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum -> [IOErrorEnum] Source #

Show IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> IOErrorEnum -> ShowS Source # show :: IOErrorEnum -> String Source # showList :: [IOErrorEnum] -> ShowS Source #
Eq IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: IOErrorEnum -> IOErrorEnum -> Bool Source # (/=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #
Ord IOErrorEnum Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: IOErrorEnum -> IOErrorEnum -> Ordering Source #

(<) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(<=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(>) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

(>=) :: IOErrorEnum -> IOErrorEnum -> Bool Source #

max :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum Source #

min :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum Source #

# Methods

ioErrorFromErrno Source #

Arguments

:: Int | `err` Error number as defined in errno.h.
-> IO IOErrorEnum | returns `IOErrorEnum` value for the given errno.h error number.

Converts errno.h error codes into GIO error codes.